#pylint: disable=line-too-long
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
'''
    Where we keep our constants
'''
# for python3 compat
from __future__ import unicode_literals

from pyanaconda.constants import productVersion, productName, shortProductName

if '.' in productVersion:
    MAJOR_VERSION = productVersion.split('.')[0]
else:
    MAJOR_VERSION = 7

CHROOT_BASE = '/mnt/sysimage/'

ADDON_NAME = 'org_scientificlinux_contexts'
ANACONDA_THREAD_FETCH_DATA = ADDON_NAME + 'Download'
ANACONDA_THREAD_UI_FETCH_DATA = ADDON_NAME + 'UIDownload'

YUMREPO_SKIP_IF_UNAVAILABLE = False

DEFAULT_CONTEXT_URL = 'http://ftp.scientificlinux.org/linux/scientific/%s/contexts/' % MAJOR_VERSION
DEFAULT_CONTEXT_MD = '.contexts.json'
DVD_MOUNTED_ON = '/run/install/repo'
DVD_CONTEXT_DIR = DVD_MOUNTED_ON + '/contexts/'

DEFAULT_CONTEXTS_ENABLED = []
DEFAULT_ENABLE_TESTING = False

BOOT_ARG_PREFIX = 'context'
BOOT_ARG_ENABLE = BOOT_ARG_PREFIX + '.enable'
BOOT_ARG_TESTING = BOOT_ARG_PREFIX + '.testing'
BOOT_ARG_DEFAULTURL = BOOT_ARG_PREFIX + '.defaulturl'

IFS = '|'

REPO_PACKAGE_PREFIX = 'yum-conf-context-'

ANACONDA_YUM_CONF = '/tmp/anaconda-yum.conf'
ANACONDA_PROVIDED_YUM_REPOS = '/etc/anaconda.repos.d'
ANACONDA_YUM_REPOS = '/tmp/yum.repos.d'

BASE_SUFFIX = ''
PATH_BASE = '$basearch'
PATH_MIRROR_BASE = 'mirrors/base'

DEBUGINFO_SUFFIX = '-debuginfo'
PATH_DEBUGINFO = 'debuginfo'
PATH_MIRROR_DEBUGINFO = 'mirrors/debuginfo'

SRPMS_SUFFIX = '-SRPMS'
PATH_SRPMS = 'SRPMS'
PATH_MIRROR_SRPMS = 'mirrors/SRPMS'

TESTING_SUFFIX = '-testing'
PATH_TESTING = 'testing/$basearch'
PATH_MIRROR_TESTING = 'mirrors/testing'

GPG_PREFIX = 'RPM-GPG-KEY-context-'
